
Auto Multiple Choice - Bug # 477: Executing auto-multiple-choice prepare --mode s --prefix ---- 
Command error

Status: Closed Priority: Normal
Author: Jitendra Kumar Category: AMC-TXT
Created: 04/17/2017 Assignee:
Updated: 02/13/2018 Due date:
Description: Fontconfig warning: ignoring UTF-8: not a valid region tag

Error Stack -  "Error: Command failed: auto-multiple-choice prepare --filter plain --filtered-source 
.././amc/58f4a6ef59d213660613c99f/DOC-filtered.tex --out-sujet 
.././amc/58f4a6ef59d213660613c99f/DOC-sujet.pdf --out-corrige 
.././amc/58f4a6ef59d213660613c99f/DOC-corrige.pdf --out-corrige-indiv 
.././amc/58f4a6ef59d213660613c99f/DOC-indiv-solution.pdf --out-catalog 
.././amc/58f4a6ef59d213660613c99f/DOC-catalog.pdf --out-calage 
.././amc/58f4a6ef59d213660613c99f/DOC-calage.xy --mode s --n-copies 2 
.././amc/src/58f4a6ef59d213660613c99f.txt --prefix .././amc/58f4a6ef59d213660613c99f --latex-stdout","Use 
of the encoding pragma is deprecated at /opt/local/lib/AMC/perl/AMC-prepare.pl line 21.","Fontconfig warning: 
ignoring UTF-8: not a valid region tag","","    at ChildProcess.exithandler (child_process.js:202:12)","    at 
emitTwo (events.js:87:13)","    at ChildProcess.emit (events.js:172:7)","    at maybeClose 
(internal/child_process.js:854:16)","    at Socket.<anonymous> (internal/child_process.js:330:11)","    at 
emitOne (events.js:77:13)","    at Socket.emit (events.js:169:7)","    at Pipe._onclose (net.js:487:12)"

History
04/17/2017 01:52 pm - Alexis Bienvenüe
- Priority changed from Immediate to Normal

- Assignee deleted (Alexis Bienvenüe)

Please include your AMC-TXT source file, and the @log@ file produced using the @--debug 1@ option.

04/17/2017 02:19 pm - Jitendra Kumar
AMC-TXT Source file

Code: 10 
ShuffleQuestions: 0 
CompleteMulti: 0 
L-Question: Q 
L-Name: Name 
L-Student: Please enter your mobile number, and write your name in the box below. 
*[ordered,horiz] Q
+ 
- 
- 
- 

SeparateAnswerSheet: 1 
AnswerSheetColumns: 3 
AnswerSheetTitle:AMC Test

04/18/2017 08:03 am - Jitendra Kumar
log file.
[   4827,   0.21] [4827]>>
[   4827,   0.21] AMC-prepare / DEBUG
[   4827,   0.21] Create progression pipe for <> up to 1
[   4827,   0.24] Parsing /NodeJSAPI/../amc/src/58f5a5c47872c19f086d3628.txt
[   4827,   0.24] :> Code: 10 
[   4827,   0.24] Option line (Code)
[   4827,   0.24] :> ShuffleQuestions: 0 
[   4827,   0.24] Option line (ShuffleQuestions)
[   4827,   0.24] :> CompleteMulti: 0 
[   4827,   0.24] Option line (CompleteMulti)
[   4827,   0.24] :> L-Question: Q 
[   4827,   0.24] Option line (L-Question)
[   4827,   0.24] :> L-Name: Name 
[   4827,   0.24] Option line (L-Name)
[   4827,   0.24] :> L-Student: Please enter your mobile number, and write your name in the box below. 
[   4827,   0.24] Option line (L-Student)
[   4827,   0.24] :> *[ordered,horiz] Q
[   4827,   0.24] Question S=* A= O=ordered,horiz S=
[   4827,   0.24] :> - 
[   4827,   0.24] Choice G=- L= S=
[   4827,   0.24] :> + 
[   4827,   0.24] Choice G=+ L= S=
[   4827,   0.24] :> - 
[   4827,   0.24] Choice G=- L= S=
[   4827,   0.24] :> - 
[   4827,   0.24] Choice G=- L= S=
[   4827,   0.24] :> 
[   4827,   0.24] Follow...
[   4827,   0.24] :> SeparateAnswerSheet: 1 
[   4827,   0.24] Option line (SeparateAnswerSheet)
[   4827,   0.24] :> AnswerSheetColumns: 3 
[   4827,   0.24] Option line (AnswerSheetColumns)
[   4827,   0.24] :> AnswerSheetTitle:AMC Testing on MAC
[   4827,   0.24] Option line (AnswerSheetTitle)
[   4827,   0.24] Cleanup...
[   4827,   0.24] Removing old pdf
[   4827,   0.24] %%% Compiling: pass 1
This is XeTeX, Version 3.14159265-2.6-0.99996 (TeX Live 2016/MacPorts 2016_5) (preloaded format=xelatex)
 restricted \write18 enabled.
entering extended mode
LaTeX2e <2016/03/31>
Babel <3.9r> and hyphenation patterns for 5 language(s) loaded.
(./DOC-filtered.tex (/opt/local/share/texmf-texlive/tex/latex/base/article.cls
Document Class: article 2014/09/29 v1.4h Standard LaTeX document class
(/opt/local/share/texmf-texlive/tex/latex/base/size10.clo))
(/opt/local/share/texmf-texlive/tex/latex/xltxtra/xltxtra.sty
(/opt/local/share/texmf-texlive/tex/generic/oberdiek/ifluatex.sty)
(/opt/local/share/texmf-texlive/tex/generic/ifxetex/ifxetex.sty)
(/opt/local/share/texmf-texlive/tex/latex/fontspec/fontspec.sty
(/opt/local/share/texmf-texlive/tex/latex/l3kernel/expl3.sty
(/opt/local/share/texmf-texlive/tex/latex/l3kernel/expl3-code.tex)
(/opt/local/share/texmf-texlive/tex/latex/l3kernel/l3xdvipdfmx.def))
(/opt/local/share/texmf-texlive/tex/latex/l3packages/xparse/xparse.sty)
(/opt/local/share/texmf-texlive/tex/latex/fontspec/fontspec-xetex.sty
(/opt/local/share/texmf-texlive/tex/latex/base/fontenc.sty
(/opt/local/share/texmf-texlive/tex/latex/euenc/eu1enc.def)
(/opt/local/share/texmf-texlive/tex/latex/euenc/eu1lmr.fd))
(/opt/local/share/texmf-texlive/tex/xelatex/xunicode/xunicode.sty
(/opt/local/share/texmf-texlive/tex/latex/tipa/t3enc.def
(/opt/local/share/texmf-texlive/tex/latex/euenc/eu1lmss.fd))
(/opt/local/share/texmf-texlive/tex/latex/graphics/graphicx.sty
(/opt/local/share/texmf-texlive/tex/latex/graphics/keyval.sty)
(/opt/local/share/texmf-texlive/tex/latex/graphics/graphics.sty
(/opt/local/share/texmf-texlive/tex/latex/graphics/trig.sty)
(/opt/local/share/texmf-texlive/tex/latex/graphics-cfg/graphics.cfg)
(/opt/local/share/texmf-texlive/tex/xelatex/xetex-def/xetex.def
(/opt/local/share/texmf-texlive/tex/generic/oberdiek/infwarerr.sty)
(/opt/local/share/texmf-texlive/tex/generic/oberdiek/ltxcmds.sty)))))
(/opt/local/share/texmf-texlive/tex/latex/fontspec/fontspec.cfg)))
(/opt/local/share/texmf-texlive/tex/latex/realscripts/realscripts.sty)
(/opt/local/share/texmf-texlive/tex/latex/metalogo/metalogo.sty))
(/opt/local/share/texmf-local/tex/latex/AMC/automultiplechoice.sty
(/opt/local/share/texmf-texlive/tex/latex/xcolor/xcolor.sty
(/opt/local/share/texmf-texlive/tex/latex/graphics-cfg/color.cfg))
(/opt/local/share/texmf-texlive/tex/latex/fancyhdr/fancyhdr.sty)
(/opt/local/share/texmf-texlive/tex/latex/bophook/bophook.sty)
(/opt/local/share/texmf-texlive/tex/latex/xkeyval/xkeyval.sty
(/opt/local/share/texmf-texlive/tex/generic/xkeyval/xkeyval.tex
(/opt/local/share/texmf-texlive/tex/generic/xkeyval/xkvutils.tex)))
(/opt/local/share/texmf-texlive/tex/latex/rotating/rotating.sty
(/opt/local/share/texmf-texlive/tex/latex/base/ifthen.sty))
(/opt/local/share/texmf-texlive/tex/latex/fancybox/fancybox.sty
Style option: `fancybox' v1.4 <2010/05/15> (tvz)
) (/opt/local/share/texmf-texlive/tex/latex/environ/environ.sty
(/opt/local/share/texmf-texlive/tex/latex/trimspaces/trimspaces.sty))
(/opt/local/share/texmf-texlive/tex/latex/etex-pkg/etex.sty) ***SUJET***
(/opt/local/share/texmf-texlive/tex/latex/geometry/geometry.sty
(/opt/local/share/texmf-texlive/tex/generic/oberdiek/ifpdf.sty)
(/opt/local/share/texmf-texlive/tex/generic/oberdiek/ifvtex.sty)))
(/opt/local/share/texmf-texlive/tex/latex/tools/multicol.sty)
(./amc-compiled.aux) (/opt/local/share/texmf-texlive/tex/latex/tipa/t3cmr.fd)
*geometry* driver: auto-detecting
*geometry* detected driver: xetex
(/opt/local/share/texmf-texlive/tex/latex/euenc/eu1lmtt.fd) [1] [2]
! Missing } inserted.
<inserted text> 
                }
l.56 }
      
[3] [1] [2]
! Missing } inserted.
<inserted text> 
                }
l.56 }
[3] (./amc-compiled.aux) )
(see the transcript file for additional information)
Output written on amc-compiled.pdf (6 pages).
Transcript written on amc-compiled.log.
[   4827,   1.47] Output format: pdf
[   4827,   1.47] Check AMC log : amc-compiled.amc
[   4827,   1.48] AMC log amc-compiled.amc : 0 errors.

04/18/2017 08:06 am - Jitendra Kumar
Jitendra Kumar wrote:
> Use of the encoding pragma is deprecated
> 
> Error: Command failed: auto-multiple-choice prepare --filter plain --filtered-source .././amc/58f5a5c47872c19f086d3628/DOC-filtered.tex --out-sujet 
.././amc/58f5a5c47872c19f086d3628/DOC-sujet.pdf --out-corrige .././amc/58f5a5c47872c19f086d3628/DOC-corrige.pdf --out-corrige-indiv 
.././amc/58f5a5c47872c19f086d3628/DOC-indiv-solution.pdf --out-catalog .././amc/58f5a5c47872c19f086d3628/DOC-catalog.pdf --out-calage 
.././amc/58f5a5c47872c19f086d3628/DOC-calage.xy --mode s --n-copies 2 .././amc/src/58f5a5c47872c19f086d3628.txt --prefix 
.././amc/58f5a5c47872c19f086d3628 --latex-stdout --debug ./AMCLOG.log","Use of the encoding pragma is deprecated at 
/opt/local/lib/AMC/perl/AMC-prepare.pl line 21.","","    at ChildProcess.exithandler (child_process.js:202:12)","    at emitTwo (events.js:87:13)","    at 
ChildProcess.emit (events.js:172:7)","    at maybeClose (internal/child_process.js:854:16)","    at Process.ChildProcess._handle.onexit 
(internal/child_process.js:222:5)

04/24/2017 09:37 am - Alexis Bienvenüe
What is your AMC version? Can you post the @DOC-filtered.tex@ file? (click on the _Files_ gray banner right under the post's text editor)
What is the @AMC@VERSION@ value in @/opt/local/share/texmf-local/tex/latex/AMC/automultiplechoice.sty@?

04/24/2017 01:45 pm - Jitendra Kumar
- File DOC-filtered.tex added

What is your AMC version - AMC 1.3.0

What is the AMC@VERSION value in /opt/local/share/texmf-local/tex/latex/AMC/automultiplechoice.sty? - \def\AMC@VERSION{AMC 
1.3.0+hg2017-03-20 }

04/24/2017 02:19 pm - Alexis Bienvenüe
The command you posted, as the @DOC-filtrered.tex@ work for me.
Can you compile the @DOC-filtrered.tex@ with @xelatex@ by hand?
Is the @log@ file you posted complete? It seems to me that it should have some more lines…

10/05/2017 04:01 pm - Alexis Bienvenüe
- Status changed from New to Feedback

02/13/2018 12:57 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Files
DOC-filtered.tex 1.3 kB 04/24/2017 Jitendra Kumar
